Bug 16742 - Remove unused template subject.tt
Summary: Remove unused template subject.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-15 07:32 UTC by Marc Véron
Modified: 2017-12-07 22:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16742: Remove unused template subject.tt (3.52 KB, patch)
2016-06-15 12:42 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16742: Remove unused template subject.tt (3.59 KB, patch)
2016-06-16 15:44 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16742: (follow-up)Remove unused template subject.tt (788 bytes, patch)
2016-06-16 15:56 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16742: Remove unused template subject.tt (3.64 KB, patch)
2016-06-18 14:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16742: (follow-up)Remove unused template subject.tt (856 bytes, patch)
2016-06-18 14:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-06-15 07:32:54 UTC
It seems that catalogue/subject.tt is never used. There is a call in catalogue/moredetail.pl line 52 depending on a param 'subject', but catalogue/moredetail.pl is never called with such param.

See also FIXME comment on line 45 and comment 2 in Bug 15927: Catalog -> subject.tt (is this template used?
Comment 1 Owen Leonard 2016-06-15 12:08:34 UTC
(In reply to Marc Véron from comment #0)
> It seems that catalogue/subject.tt is never used.

As far as I know it hasn't been used since version 1.x.
Comment 2 Marc Véron 2016-06-15 12:42:12 UTC Comment hidden (obsolete)
Comment 3 Héctor Eduardo Castro Avalos 2016-06-16 15:44:18 UTC Comment hidden (obsolete)
Comment 4 Héctor Eduardo Castro Avalos 2016-06-16 15:56:22 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-06-18 14:56:40 UTC
Created attachment 52517 [details] [review]
Bug 16742: Remove unused template subject.tt

The template koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/subject.tt
is not used and can be removed.

To test:
- Apply patch
- Verify that catalogue/moredetail.pl works as before (go to a
  biblio with items and click 'Items' in left hand menu)

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-06-18 14:56:46 UTC
Created attachment 52518 [details] [review]
Bug 16742: (follow-up)Remove unused template subject.tt

Delete extra useless comment line:
"# if its a subject we need to use the subject.tt"

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2016-06-18 14:57:48 UTC
Hard to say if it's not used by anyone, but it is out-of-sync with other templates and need work anyway.
Comment 8 Kyle M Hall 2016-06-24 13:08:59 UTC
Pushed to master for 16.11, thanks Marc!
Comment 9 Frédéric Demians 2016-08-01 11:53:04 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 10 Julian Maurice 2016-08-16 13:10:24 UTC
Patches pushed to 3.22.x, will be in 3.22.10